Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 516816

Summary: x11-drivers/ati-drivers - segmentation fault in fglrx_drv.so
Product: Gentoo Linux Reporter: Peter Asplund <peterasplund>
Component: [OLD] LibraryAssignee: Gentoo X packagers <x11>
Status: RESOLVED WONTFIX    
Severity: normal CC: canarauc, jimishol, joost.ruis, prot3ch
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://forums.gentoo.org/viewtopic-t-994400-highlight-.html
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Xorg log

Description Peter Asplund 2014-07-09 23:18:55 UTC
For some reason, gdm doesn't automatically start anymore. I'm running systemd-214, but I think it stopped working at the end of May. gdm's last login was the 28:th of May, so I think I was using systemd-212 at the time.

After finding the log, it looks like the issue is with the ati-driver, and as you can see in my post on the forum, other people are having the same problem. 

I'm running with a Radeon x290 and dual-head setup.

This is the log:

jun 28 15:16:46 skare gdm[581]: Child process 586 was already dead.
jun 28 15:16:46 skare gdm[581]: GdmDisplay: display lasted 0,188398 seconds
jun 28 15:16:46 skare gdm[581]: Child process 591 was already dead.
jun 28 15:16:46 skare gdm[581]: GdmDisplay: display lasted 0,035269 seconds
jun 28 15:16:46 skare gdm[581]: Child process 592 was already dead.
jun 28 15:16:46 skare gdm[581]: GdmDisplay: display lasted 0,032254 seconds
jun 28 15:16:46 skare gdm[581]: Child process 593 was already dead.
jun 28 15:16:46 skare gdm[581]: GdmDisplay: display lasted 0,030918 seconds
jun 28 15:16:46 skare gdm[581]: Child process 594 was already dead.
jun 28 15:16:46 skare gdm[581]: GdmDisplay: display lasted 0,030527 seconds
jun 28 15:16:46 skare gdm[581]: Child process 595 was already dead.
jun 28 15:16:46 skare gdm[581]: GdmDisplay: display lasted 0,030869 seconds
jun 28 15:16:46 skare gdm[581]: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
jun 28 15:16:46 skare gdm-Xorg-:0[586]: X.Org X Server 1.15.1
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Release Date: 2014-04-13
jun 28 15:16:46 skare gdm-Xorg-:0[586]: X Protocol Version 11, Revision 0
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Build Operating System: Linux 3.14.1-gentoo x86_64 Gentoo
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Current Operating System: Linux skare 3.14.4-gentoo #2 SMP PREEMPT Wed Jun 18 19:14:57 CEST 2014 x86_64
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.14.4-gentoo root=/dev/sdd1 ro init=/usr/lib/systemd/systemd rootfstype=ext4 nomodeset libahci.ignore_sss=1 raid=noautodetect selinux=0 fastboot
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Build Date: 26 April 2014  06:28:06PM
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Current version of pixman: 0.32.4
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Before reporting problems, check http://wiki.x.org
jun 28 15:16:46 skare gdm-Xorg-:0[586]: to make sure that you have the latest version.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Markers: (--) probed, (**) from config file, (==) default setting,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (++) from command line, (!!) notice, (II) informational,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (++) Log file: "/dev/null", Time: Sat Jun 28 15:16:46 2014
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) Using config file: "/etc/X11/xorg.conf"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) Using config directory: "/etc/X11/xorg.conf.d"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) Using system config directory "/usr/share/X11/xorg.conf.d"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) ServerLayout "aticonfig Layout"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (**) |-->Screen "Radeon-0" (0)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (**) |   |-->Monitor "<default monitor>"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) No device specified for screen "Radeon-0".
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Using the first device section listed.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (**) |   |-->Device "aticonfig-Device[0]-0"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) No monitor specified for screen "Radeon-0".
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Using a default monitor configuration.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) Automatically adding devices
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) Automatically enabling devices
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) Automatically adding GPU devices
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) FontPath set to:
jun 28 15:16:46 skare gdm-Xorg-:0[586]: /usr/share/fonts/misc/,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: /usr/share/fonts/TTF/,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: /usr/share/fonts/OTF/,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: /usr/share/fonts/Type1/,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: /usr/share/fonts/100dpi/,
jun 28 15:16:46 skare gdm-Xorg-:0[586]: /usr/share/fonts/75dpi/
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (==) ModulePath set to "/usr/lib64/xorg/modules"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) The server relies on udev to provide the list of input devices.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: If no devices become available, reconfigure udev or disable AutoAddDevices.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) Loader magic: 0x801c60
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) Module ABI versions:
jun 28 15:16:46 skare gdm-Xorg-:0[586]: X.Org ANSI C Emulation: 0.4
jun 28 15:16:46 skare gdm-Xorg-:0[586]: X.Org Video Driver: 15.0
jun 28 15:16:46 skare gdm-Xorg-:0[586]: X.Org XInput driver : 20.0
jun 28 15:16:46 skare gdm-Xorg-:0[586]: X.Org Server Extension : 8.0
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (--) PCI:*(0:2:0:0) 1002:67b1:1458:228f rev 0, Mem @ 0xd0000000/268435456, 0xef800000/8388608, 0xfbd80000/262144, I/O @ 0x0000ee00/256, BIOS @ 0x????????/131072
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension Generic Event Extension
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension SHAPE
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension MIT-SHM
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XInputExtension
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XTEST
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension BIG-REQUESTS
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension SYNC
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XKEYBOARD
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XC-MISC
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XINERAMA
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XFIXES
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension RENDER
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension RANDR
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension COMPOSITE
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension DAMAGE
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension MIT-SCREEN-SAVER
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension DOUBLE-BUFFER
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension RECORD
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension DPMS
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension Present
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension DRI3
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension X-Resource
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XVideo
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XVideo-MotionCompensation
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XFree86-VidModeExtension
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XFree86-DGA
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension XFree86-DRI
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Initializing built-in extension DRI2
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) "glx" will be loaded by default.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) LoadModule: "glx"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) Module glx: vendor="Advanced Micro Devices, Inc."
jun 28 15:16:46 skare gdm-Xorg-:0[586]: compiled for 6.9.0, module version = 1.0.0
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Loading extension GLX
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) LoadModule: "fglrx"
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) Loading /usr/lib64/xorg/modules/drivers/fglrx_drv.so
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (II) Module fglrx: vendor="FireGL - AMD Technologies Inc."
jun 28 15:16:46 skare gdm-Xorg-:0[586]: compiled for 1.4.99.906, module version = 14.20.7
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Module class: X.Org Video Driver
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) Backtrace:
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 0: /usr/bin/Xorg (xorg_backtrace+0x48) [0x581888]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 1: /usr/bin/Xorg (0x400000+0x185459) [0x585459]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 2: /lib64/libpthread.so.0 (0x7fe4e9d51000+0xfeb0) [0x7fe4e9d60eb0]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 3: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (0x7fe4e663c000+0x44af34) [0x7fe4e6a86f34]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 4: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (0x7fe4e663c000+0x44aacf) [0x7fe4e6a86acf]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 5: /usr/bin/Xorg (0x400000+0x66fea) [0x466fea]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 6: /usr/bin/Xorg (xf86LoadModules+0xba) [0x47682a]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 7: /usr/bin/Xorg (InitOutput+0x7bf) [0x47705f]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 8: /usr/bin/Xorg (0x400000+0x3a48b) [0x43a48b]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 9: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fe4e89d1a65]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) 10: /usr/bin/Xorg (0x400000+0x25e9e) [0x425e9e]
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) Segmentation fault at address 0x0
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Fatal server error:
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) Caught signal 11 (Segmentation fault). Server aborting
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: Please consult the The X.Org Foundation support
jun 28 15:16:46 skare gdm-Xorg-:0[586]: at http://wiki.x.org
jun 28 15:16:46 skare gdm-Xorg-:0[586]: for help.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) Please also check the log file at "/dev/null" for additional information.
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE)
jun 28 15:16:46 skare gdm-Xorg-:0[586]: (EE) Server terminated with error (1). Closing log file.


Package versions are currently: 
x11-drivers/ati-drivers-14.6_beta1
x11-base/xorg-server-1.15.1
gnome-base/gdm-3.12.2
sys-apps/systemd-214

Reproducible: Always
Comment 1 Peter Asplund 2014-07-09 23:19:32 UTC
I forgot to mention that I can start X and use Gnome 3 just by running startx from the terminal instead of going through GDM.
Comment 2 Jeroen Roovers gentoo-dev 2014-07-10 10:57:15 UTC
1) Please post your `emerge --info' output in a comment.
2) Please attach the entire Xorg log to this bug report.
Comment 3 Krzychu 2014-07-15 07:36:54 UTC
Unfortunatelly I have exactly the same situation.

Package versions are currently: 
x11-drivers/ati-drivers-14.6_beta1
x11-base/xorg-server-1.15.1
gnome-base/gdm-3.12.2
sys-apps/systemd-215-r1

Reproducible: Always
Comment 4 Krzychu 2014-07-15 07:41:03 UTC
I'm running with a Radeon 8790M and dual-head setup.
Comment 5 Krzychu 2014-07-15 19:24:16 UTC
I can't start X using startx command. It's a bit annoying :(.

Any ideas?
Comment 6 Krzychu 2014-07-20 17:04:36 UTC
I have read some comments about this. It seems that no one wants to solve the 
quite old and well-known problem.
Comment 7 Cănărău Constantin 2014-07-21 20:46:10 UTC
(In reply to Krzychu from comment #6)
> I have read some comments about this. It seems that no one wants to solve
> the 
> quite old and well-known problem.

I am also affected by this bug and I was forced to use slim. 
But ati-drivers is closed sources package. Therefor I think there is not much that gentoo developers can do about it...

Please take a look at: http://forums.gentoo.org/viewtopic-t-994400.html
gdm is working with nvidia-drivers, nouveau, radeon KMS drivers. It does not work only with ati closed sources drivers.

As usual a new xorg version it's here and no AMD  support for it... Yes, there are problems, but I blame AMD for this, not gentoo developers.
Comment 8 Krzychu 2014-07-21 21:34:56 UTC
Latest beta drivers come from AMD in July (http://www2.ati.com/drivers/beta/linux-amd-catalyst-14.6-beta-v1.0-jul11.zip), but ebuild has drivers from may. 

Maybe something has changed?
Comment 9 Cănărău Constantin 2014-07-22 08:52:09 UTC
DRIVERS_URI="http://www2.ati.com/drivers/beta/linux-amd-catalyst-14.6-beta-v1.0-jul11.zip"

Nope, no change, at least regarding this problem...
Comment 10 Krzychu 2014-07-23 09:56:39 UTC
Time change to the open source drivers and never again buy AMD/ATI.
Comment 11 Cănărău Constantin 2014-07-24 11:29:57 UTC
Created attachment 381486 [details]
Xorg log

As on systemd 215 there is no separate log file there is journalctl -rb in reverse order. I don't konw how to get it in normal order.
Comment 12 Cănărău Constantin 2014-07-24 11:33:31 UTC
Original reporter of the bug did not post his emerge --info.
There is mine, just in case:
Portage 2.2.10 (default/linux/amd64/13.0/desktop/gnome/systemd, gcc-4.9.0, glibc-2.19-r1, 3.15.6-aufs-costel x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.6-aufs-costel-x86_64-AMD_Athlon-tm-_5350_APU_with_Radeon-tm-_R3-with-gentoo-2.2
KiB Mem:     7614580 total,   6054716 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Thu, 24 Jul 2014 05:45:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.2_p47
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.7, 3.4.1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.9.0
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.15 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo added
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -march=native -w -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ 
/etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-pipe -march=native -w -O2"
DISTDIR="/mnt/date/linux/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=3 --load-average=6 --keep-going --with-bdeps=y --complete-graph --quiet-build=n --autounmask-write"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy cgroup collision-protect config-protect-if-modified distlocks fail-clean fixlafiles ipc-sandbox merge-sync news nodoc noinfo parallel-fetch parallel-install 
preserve-libs protect-owned sandbox sfperms strict unknown-features-filter unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.romnet.org/gentoo/ http://mirrors.xservers.ro/gentoo/ ftp://ftp.romnet.org/gentoo/ http://ftp.roedu.net/pub/mirrors/gentoo.org/ http://distfiles.gentoo.org/"
LANG="ro_RO.UTF-8"
LC_ALL="ro_RO.UTF-8"
LDFLAGS="-Wl,-O1,--sort-common,--hash-style=gnu,--as-needed,-z,now"
MAKEOPTS="-j4 --load-average=6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--human-readable --progress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local 
--exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/added"
USE="X a52 aac acl acpi alsa amd64 avx berkdb branding bzip2 cairo cdda cdr cli colord cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac gdbm gif gmp gnome 
gnome-keyring gnome-online-accounts gpm gstreamer gtk gtk3 iconv introspection ipv6 ithreads jpeg lcms ldap libnotify libsecret logrotate mad mmx mng modules mp3 mp4 mpeg multilib mysql nautilus ncurses 
networkmanager nls nptl ogg opengl openmp opus pam pango pch pcre pdf png policykit postgres ppds pulseaudio python qt3support qt4 readline sdl session socialweb spell sse sse2 sse4_1 sse4_2 ssl ssse3 
startup-notification svg systemd tcpd theora threads tiff truetype udev udisks unicode upower usb vaapi vhosts vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="virtuoso hda-intel" 
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host 
authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic 
negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" 
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom 
oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad 
cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ro en" NETBEANS_MODULES="php" NGINX_MODULES_HTTP="access auth_basic 
autoindex browser charset empty_gif fastcgi geo gzip limit_conn limit_req map memcached proxy referer rewrite scgi split_clients spdy ssi upstream_ip_hash userid uwsgi" 
OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="fglrx radeon" 
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.4"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC


I hope that gnome 3.14 solve it. I put not much hope in AMD ati drivers.
Comment 13 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-10-23 14:59:49 UTC
You could try again with 14.9
Comment 14 Cănărău Constantin 2014-10-23 16:14:25 UTC
(In reply to Chí-Thanh Christopher Nguyễn from comment #13)
> You could try again with 14.9

I switched to open-source radeon driver and I'm using xorg-server-1.16.1 and gdm-31.4 from gnome-overlay. I don't want to risk to break something by downgrade them. 
Maybe others still affected by this bug could try.
Comment 15 Peter Asplund 2014-10-23 16:58:22 UTC
I did the same, the foss drivers work great except that I can't start Civilization V via steam. But I'm trying to fix that via multilibs and the "32" thingie.
Comment 16 Andrew Mao 2015-02-04 18:43:25 UTC
Still broken with 14.9 and 14.12 drivers.

More discussion over at http://forums.gentoo.org/viewtopic-p-7623272.html .
Comment 17 Andrew Mao 2015-02-04 18:53:44 UTC
BTW, the archlinux folks have created a fix for this: https://aur.archlinux.org/packages/catalyst-fix-gdm/

Based on the report in this blog post: https://oliverchang.github.io/2014/12/22/fixing-linux-amd-catalyst-linux-drivers-gdm/
Comment 18 emil karlson 2015-02-11 21:50:26 UTC
Thanks trying out, I will add this optionally (though without the init script) if it works.
Comment 19 emil karlson 2015-02-12 18:21:09 UTC
Committed to x11 overlay, test with USE=gdm-hack seems to work for me
Comment 20 Matt Turner gentoo-dev 2017-02-23 22:55:55 UTC
ati-drivers is dead, and will not be supported for X.
Comment 21 Jimis Hol 2017-03-10 15:04:56 UTC
At some time, by update problem fixed and i masked ati-drivers and was happy with gnome3. But, in my last gnome update gdm AND gnome gave me a black screen with only a moving mouse cursor. I couldn't recover by downgrading xorg or drivers and dont want to try downgrading gnome (may i should mutter downgrade). It seems mutter does not recognize ati version as some ubuntu or debian guy suggested). I use 2 cards and crossfire. So i will stick with closed drivers as long as i can. 

I would like last closed drivers to be as long as it can be in portage. Today i use lightdm and have these masks

>x11-drivers/xf86-input-evdev-2.9.2
>x11-base/xorg-drivers-1.17
=x11-base/xorg-drivers-1.18-r1
>x11-drivers/ati-drivers-15.12-r1
>x11-base/xorg-server-1.17.4

The good part is that i met tile managers and 'awesome wm'. After 10years of gnome i installed awesome to all my pc including my daylight work.